static char rcsid []="$Id: test031.C,v 1.1 1992/11/18 21:43:08 reti Exp $";
//  $RCS$
 
//  $Log: test031.C,v $
// Revision 1.1  1992/11/18  21:43:08  reti
// Initial revision
//
#include "test.h"

main ()
{
const IntPoint ipu;    
IntPoint ip,
         ip0(),ip1(1),ip2(1,2),ip3(1,2,3),ip4(1,2,3,4),ip5(1,2,3,4,5),
         ip6;
         
const FloatPoint fpu;
FloatPoint fp,
           fp0(),fp1(1.2),fp2(1.0,2.4),
           fp6;
int i=1;
float f=1.5;
unsigned u=1;
IA::exit_on_throw=0;

cout << "Testing Op ~\n";

p4("~",~,ip);
// p4("~",~,fp); // compiler rejects it.

}
    
 

